\documentclass[border=10pt]{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows.meta,
                positioning,
                shapes}
\usepackage{listings}
\begin{document}
 \noindent\resizebox{\textwidth}{!}{   \begin{tikzpicture}[
 node distance = 4mm and 10mm, 
  block/.style = {draw, rounded corners, fill=#1,
                  minimum height=3em, text width=8em, align=center},
block/.default = white,
decision/.style = {diamond, draw, fill=white!20,
    text width=6em, align=center, minimum height=3em},
every edge/.append style = {draw=black!50, thick, -Latex}
                    ]
\node [block] (A) {0) Input\\\vspace{0.1cm}\includegraphics[width=\textwidth]{input.png}\\$config.json$\\$printing.json$};
\node [block, right =of A] (B) {1) Subdividing\\\vspace{0.1cm}\includegraphics[width=\textwidth]{step1.png}};
\node [block, right =of B,text width=4cm] (C) {2) Surface Approximation\\\vspace{0.1cm}\includegraphics[width=0.7\textwidth]{step2.png}};
\node [block, below right =1cm and -3.05cm of A, text width=3.3cm] (D) {3) Point Generation\\\vspace{0.2cm}\includegraphics[width=\textwidth]{step3.png}};
\node [block, right =of D, text width=9em] (E) {4) Raytracing\\\vspace{0.1cm}\includegraphics[width=\textwidth]{step4.png}};
\node [block, right =of E, text width=9em] (F) {
5) Code Generation\\
$project.pjx$\\
$project.dtx$\\
$start.pgx$\\
$stop.pgx$};

 \node [coordinate, below right =0.5cm and 0.5cm of C] (right) {};  %% Coordinate on right and middle
        \node [coordinate,above left =0.4cm and 0.5cm of D] (left) {};  %% Coordinate on left and middle

%\node [block, above right = of B] (C) {Third step};
%\node [block, below right = of B] (D) {4th step};
%\node [decision, below right = of C] (E) {Is  condition met?};

%\node [block,  right = of E] (F) {Take an action};

\path   (A) edge (B);
\path   (B) edge (C);
\path (B.east) edge ([yshift=-3mm] C.west);
\path (B.east) edge ([yshift=3mm] C.west);
%\path   (C) edge (D);
\path   (D) edge (E);
\path   (E) edge (F);
\path[draw=black!50, thick] ([yshift=-3mm] E.east) -- ([xshift=-2.2mm] F.west);
\path[draw=black!50, thick] ([yshift=3mm] E.east) -- ([xshift=-2.2mm] F.west);
\path[draw=black!50, thick, -Latex]   (C) -| (right) -- (left) |- (D);
%\draw[thick,anchor=west]   (B.+5)  edge  (C.west);         
%\draw[thick,anchor=west]   (B.-5)  edge  (D.west);    
%\draw[thick]   (C.+5)  edge  (E.-227.5);         
%\draw[thick]   (D.+5)  edge  (E.227.5);
%\draw[thick, anchor=south]   (E)  edge node{Yes} (F);

\end{tikzpicture}}
\end{document}